> ## Documentation Index
> Fetch the complete documentation index at: https://telnesstech-a0a16404.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify email login

> Verifies an email login by validating the verification code sent to the email address.

On success, returns an OAuth2-compatible token response with:
- `accessToken`: JWT token for authenticating subsequent API requests
- `tokenType`: Always "Bearer"
- `expiresIn`: Token lifetime in seconds
- `userId`: The authenticated user's identifier

Use the access token in the Authorization header: `Authorization: Bearer {accessToken}`




## OpenAPI

````yaml /api-reference/bundled_openapi.json post /auth/email/verify
openapi: 3.1.0
info:
  title: Telness Tech Connect
  version: 2.0.0-alpha
  description: >
    Telness Tech Connect API provides all you need to own your user's
    connectivity experience.


    Go back to [Telnesstech.com](https://telnesstech.com)
servers:
  - url: https://apiv2.example.com
    description: Connect API URL for your domain
security:
  - apiKey: []
  - bearerAuth: []
    apiKey: []
tags:
  - name: Auth
    description: Authenticate users and obtain access tokens.
  - name: Users
    description: Manage users.
  - name: Customers
    description: Manage customers.
  - name: Subscriptions
    description: Manage subscriptions and subscription.
  - name: Subscription Addons
    description: Manage subscription addons.
  - name: Subscription Usage
    description: Get subscription usage.
  - name: Subscribers
    description: Manage subscribers.
  - name: Licenses
    description: Manage licenses.
  - name: Product Offerings
    description: Browse product offerings.
  - name: Product Catalogs
    description: Browse product catalogs.
  - name: Product Discounts
    description: Discounts and promotions.
  - name: Orders
    description: Manage orders and line items.
  - name: Payment Intents
    description: >-
      Inspect payment intents, the money collected over card rails for orders
      and renewals.
  - name: Payment Links
    description: Create and manage payment links for orders and invoices.
  - name: Payment Sessions
    description: Create and manage payment sessions for orders.
  - name: Payment Profiles
    description: Manage customer payment profiles and methods.
  - name: Payment Profile Sessions
    description: Create sessions for setting up payment profiles.
  - name: Signing sessions
    description: Handle contract signing sessions for postpaid orders.
  - name: Porting
    description: Manage number porting for subscriptions.
  - name: Taxes
    description: Calculate taxes for products and line items.
  - name: Invoices
    description: Manage invoices and invoice items.
  - name: Tools
    description: >-
      Tools for address validation, number porting, device info, and network
      coverage.
  - name: Inventory
    description: Manage phone number inventory, SIM cards, and reservations.
  - name: Workflows
    description: Dynamic processing of customer journeys and events.
paths:
  /auth/email/verify:
    post:
      tags:
        - Auth
      summary: Verify email login
      description: >
        Verifies an email login by validating the verification code sent to the
        email address.


        On success, returns an OAuth2-compatible token response with:

        - `accessToken`: JWT token for authenticating subsequent API requests

        - `tokenType`: Always "Bearer"

        - `expiresIn`: Token lifetime in seconds

        - `userId`: The authenticated user's identifier


        Use the access token in the Authorization header: `Authorization: Bearer
        {accessToken}`
      operationId: verifyEmailLogin
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VerifyEmailLoginRequest'
      responses:
        '200':
          description: >-
            Login verified successfully. Returns access token for API
            authentication.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TokenResponse'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '429':
          $ref: '#/components/responses/TooManyRequests'
        '500':
          $ref: '#/components/responses/InternalServerError'
      security: []
components:
  schemas:
    VerifyEmailLoginRequest:
      type: object
      description: >-
        Request to verify an email login by providing the verification code sent
        to the email address.
      required:
        - email
        - nonce
        - code
      additionalProperties: false
      properties:
        email:
          type: string
          format: email
          description: The email address used to initiate the login.
          example: john.doe@example.com
        nonce:
          type: string
          description: The nonce returned from the start login request.
          example: a1b2c3d4-e5f6-7890-abcd-ef1234567890
        code:
          type: string
          pattern: ^[0-9]{6}$
          description: The 6-digit verification code sent to the email address.
          example: '123456'
    TokenResponse:
      type: object
      description: >-
        OAuth2-compatible token response containing the access token for
        authenticating API requests.
      required:
        - accessToken
        - tokenType
        - expiresIn
      properties:
        accessToken:
          type: string
          description: >-
            JWT access token for authenticating API requests. Include in the
            Authorization header as "Bearer {accessToken}".
        tokenType:
          type: string
          enum:
            - Bearer
          description: The type of token issued. Always "Bearer" for JWT tokens.
          example: Bearer
        expiresIn:
          type: integer
          description: Number of seconds until the access token expires.
          example: 604800
        userId:
          type: string
          description: The unique identifier of the authenticated user.
          example: f47ac10b-58cc-4372-a567-0e02b2c3d479
    Error:
      type: object
      required:
        - message
        - code
      properties:
        message:
          type: string
          description: A human-readable message providing more details about the error.
        code:
          type: string
          description: A machine-readable code for the error.
        details:
          type: array
          description: Additional details about the error.
          items:
            type: object
            required:
              - message
              - code
            properties:
              message:
                type: string
                description: >-
                  A human-readable message providing more details about the
                  error.
              code:
                type: string
                description: A machine-readable code for the specific detail.
              property:
                type: string
                description: The property or field related to the error.
              suggestion:
                $ref: '#/components/schemas/Any'
                description: >
                  A suggested value for the particular property.


                  For example, this may be set when validating an address with
                  an alias, suggesting the expected value by the operator.
        hint:
          type: string
          description: A hint to help resolve the error.
    Any:
      oneOf:
        - type: string
        - type: number
        - type: boolean
        - type: object
          additionalProperties: true
        - type: array
  responses:
    BadRequest:
      description: The request was malformed or invalid.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Unauthorized:
      description: Authentication is required to access this resource.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    TooManyRequests:
      description: Too many requests have been sent in a given amount of time.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    InternalServerError:
      description: An unexpected error occurred on the server.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-Api-Key
      description: >
        An API key that grants access to the Connect API. You can create and
        manage API keys in the portal.
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >
        Bearer authentication with JWT tokens is used to authenticate users.


        Do note that a valid API keys is also required to access the Connect API
        to prove that requests are made by a trusted party.


        Requests with a JWT token is scoped to the permissions of the user the
        token belongs to, regardless of the API key used.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.